summaryrefslogtreecommitdiff
path: root/x11-terms/sakura
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /x11-terms/sakura
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'x11-terms/sakura')
-rw-r--r--x11-terms/sakura/Manifest3
-rw-r--r--x11-terms/sakura/files/sakura-3.1.3-flags.patch15
-rw-r--r--x11-terms/sakura/files/sakura-3.6.0-tab-crash.patch60
-rw-r--r--x11-terms/sakura/files/sakura-3.7.0-gentoo.patch23
-rw-r--r--x11-terms/sakura/metadata.xml21
-rw-r--r--x11-terms/sakura/sakura-3.5.0.ebuild66
-rw-r--r--x11-terms/sakura/sakura-3.6.0-r1.ebuild67
-rw-r--r--x11-terms/sakura/sakura-3.7.0.ebuild62
8 files changed, 317 insertions, 0 deletions
diff --git a/x11-terms/sakura/Manifest b/x11-terms/sakura/Manifest
new file mode 100644
index 000000000000..f2946fd9813a
--- /dev/null
+++ b/x11-terms/sakura/Manifest
@@ -0,0 +1,3 @@
+DIST sakura-3.5.0.tar.bz2 55432 BLAKE2B 9accd09eac359b64637ff5c318e50e32f5bfa27cf7fb5d4a99c91391e14f145020bd19077e20585b78149e5ac5f281abaf1098dbbaf111e54fd5ad5fbb2f4887 SHA512 20c691342c68a2a6f7397da754c83b19c7622e25984ae9fe9fef47492e19cd7589dd9d1bd2ccb82bd9c6ab82f92c97c1b742795434a101a0e169c6f901f40d9e
+DIST sakura-3.6.0.tar.bz2 56044 BLAKE2B 746de744ad562c4202acf4cb6803917530bde6edb13799630124e64e3e423ee423770cdebd5f8f42b5c2bd56b8863c82eb2015c65b2f168933c87337026c1313 SHA512 4b9d2c15305a2b9a193031194afc0b50deeb32ae52f8b13967801cd57aa71424d7dedf0a9aedf7470aef8b58d8341c85ae37ef67b941b8b97912eb845c5df08f
+DIST sakura-3.7.0.tar.gz 64728 BLAKE2B 637d8c9a393fe2823943190ec3c1676d3dd900b574f58fc3f6d61709ac3b70081736f0804c0e7d8ec5a1409cc2651aa1c3bee04a04c5d3df4ac1432fa2a5c41b SHA512 1018ea952d491f68a05ee3b3d8ac70cbfb485687f76224f9a395ff6508e0e75ff58bfd12dcb534c86430da54803a3016619f441d8bd14e496df32f81e00ca72e
diff --git a/x11-terms/sakura/files/sakura-3.1.3-flags.patch b/x11-terms/sakura/files/sakura-3.1.3-flags.patch
new file mode 100644
index 000000000000..28b72dd694a6
--- /dev/null
+++ b/x11-terms/sakura/files/sakura-3.1.3-flags.patch
@@ -0,0 +1,15 @@
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -35,12 +35,6 @@
+ ADD_DEFINITIONS (-DDATADIR=\\\"${CMAKE_INSTALL_PREFIX}/share\\\")
+ ADD_DEFINITIONS (-DBUILDTYPE=\\\"${CMAKE_BUILD_TYPE}\\\")
+
+-IF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
+- SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
+-ELSE (${CMAKE_BUILD_TYPE} NOT MATCHES "Debug")
+- SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -Wno-deprecated-declarations")
+-ENDIF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
+-
+ INCLUDE_DIRECTORIES (. ${GTK_INCLUDE_DIRS} ${VTE_INCLUDE_DIRS})
+ LINK_DIRECTORIES (${GTK_LIBRARY_DIRS} ${VTE_LIBRARY_DIRS})
+ LINK_LIBRARIES (${GTK_LIBRARIES} ${VTE_LIBRARIES} m)
diff --git a/x11-terms/sakura/files/sakura-3.6.0-tab-crash.patch b/x11-terms/sakura/files/sakura-3.6.0-tab-crash.patch
new file mode 100644
index 000000000000..4d1a33e27510
--- /dev/null
+++ b/x11-terms/sakura/files/sakura-3.6.0-tab-crash.patch
@@ -0,0 +1,60 @@
+--- a/src/sakura.c
++++ b/src/sakura.c
+@@ -339,6 +339,7 @@
+ bool label_set_byuser;
+ GtkBorder padding; /* inner-property data */
+ int colorset;
++ gulong exit_handler_id;
+ };
+
+
+@@ -984,31 +985,6 @@
+ if (npages==1) {
+ sakura_config_done();
+ }
+-
+- /* Workaround for libvte strange behaviour. There is not child-exited signal for
+- the last terminal, so we need to kill it here. Check with libvte authors about
+- child-exited/eof signals */
+- if (gtk_notebook_get_current_page(GTK_NOTEBOOK(sakura.notebook))==0) {
+-
+- term = sakura_get_page_term(sakura, 0);
+-
+- if (option_hold==TRUE) {
+- SAY("hold option has been activated");
+- return;
+- }
+-
+- //SAY("waiting for terminal pid (in eof) %d", term->pid);
+- //waitpid(term->pid, &status, WNOHANG);
+- /* TODO: check wait return */
+- /* Child should be automatically reaped because we don't use G_SPAWN_DO_NOT_REAP_CHILD flag */
+- g_spawn_close_pid(term->pid);
+-
+- sakura_del_tab(0);
+-
+- npages = gtk_notebook_get_n_pages(GTK_NOTEBOOK(sakura.notebook));
+- if (npages==0)
+- sakura_destroy();
+- }
+ }
+
+ /* This handler is called when window title changes, and is used to change window and notebook pages titles */
+@@ -3167,7 +3143,7 @@
+ g_signal_connect(G_OBJECT(term->vte), "bell", G_CALLBACK(sakura_beep), NULL);
+ g_signal_connect(G_OBJECT(term->vte), "increase-font-size", G_CALLBACK(sakura_increase_font), NULL);
+ g_signal_connect(G_OBJECT(term->vte), "decrease-font-size", G_CALLBACK(sakura_decrease_font), NULL);
+- g_signal_connect(G_OBJECT(term->vte), "child-exited", G_CALLBACK(sakura_child_exited), NULL);
++ term->exit_handler_id = g_signal_connect(G_OBJECT(term->vte), "child-exited", G_CALLBACK(sakura_child_exited), NULL);
+ g_signal_connect(G_OBJECT(term->vte), "eof", G_CALLBACK(sakura_eof), NULL);
+ g_signal_connect(G_OBJECT(term->vte), "window-title-changed", G_CALLBACK(sakura_title_changed), NULL);
+ g_signal_connect_swapped(G_OBJECT(term->vte), "button-press-event", G_CALLBACK(sakura_button_press), sakura.menu);
+@@ -3366,6 +3342,7 @@
+ }
+
+ gtk_widget_hide(term->hbox);
++ g_signal_handler_disconnect (term->vte, term->exit_handler_id);
+ gtk_notebook_remove_page(GTK_NOTEBOOK(sakura.notebook), page);
+
+ /* Find the next page, if it exists, and grab focus */
+
diff --git a/x11-terms/sakura/files/sakura-3.7.0-gentoo.patch b/x11-terms/sakura/files/sakura-3.7.0-gentoo.patch
new file mode 100644
index 000000000000..ab1d8bebc93c
--- /dev/null
+++ b/x11-terms/sakura/files/sakura-3.7.0-gentoo.patch
@@ -0,0 +1,23 @@
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -38,12 +38,6 @@
+ ADD_DEFINITIONS (-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
+ ADD_DEFINITIONS (-DBUILDTYPE="${CMAKE_BUILD_TYPE}")
+
+-IF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
+- SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall")
+-ELSE (${CMAKE_BUILD_TYPE} NOT MATCHES "Debug")
+- SET (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O2 -Wno-deprecated-declarations")
+-ENDIF (${CMAKE_BUILD_TYPE} MATCHES "Debug")
+-
+ INCLUDE_DIRECTORIES (. ${GTK_INCLUDE_DIRS} ${VTE_INCLUDE_DIRS})
+ LINK_DIRECTORIES (${GTK_LIBRARY_DIRS} ${VTE_LIBRARY_DIRS} ${X11_LIBRARY_DIRS})
+ LINK_LIBRARIES (${GTK_LIBRARIES} ${VTE_LIBRARIES} ${X11_LIBRARIES} m)
+@@ -57,7 +51,6 @@
+ IF (POD2MAN)
+ INSTALL (FILES ${sakura_BINARY_DIR}/sakura.1 DESTINATION share/man/man1)
+ ENDIF (POD2MAN)
+-INSTALL (FILES INSTALL DESTINATION share/doc/sakura)
+
+ FILE (GLOB MO_FILES po/*.mo)
+
diff --git a/x11-terms/sakura/metadata.xml b/x11-terms/sakura/metadata.xml
new file mode 100644
index 000000000000..018a6cf0ccbf
--- /dev/null
+++ b/x11-terms/sakura/metadata.xml
@@ -0,0 +1,21 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>desktop-misc@gentoo.org</email>
+ <name>Gentoo Desktop Miscellaneous Project</name>
+ </maintainer>
+ <longdescription>
+ sakura is a terminal emulator based on GTK and VTE. It's a terminal emulator
+ with few dependencies, so you don't need a full GNOME desktop installed to
+ have a decent terminal emulator. Current terminal emulators based on VTE are
+ gnome-terminal, XFCE Terminal, TermIt and a small sample program included
+ in the vte sources. Sakura differences from the last one is that it uses a
+ notebook to provide several terminals in one window and adds a contextual
+ menu with some basic options. No more no less.
+ </longdescription>
+ <upstream>
+ <remote-id type="launchpad">sakura</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/x11-terms/sakura/sakura-3.5.0.ebuild b/x11-terms/sakura/sakura-3.5.0.ebuild
new file mode 100644
index 000000000000..f69297012816
--- /dev/null
+++ b/x11-terms/sakura/sakura-3.5.0.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit cmake-utils eutils flag-o-matic gnome2-utils xdg-utils
+
+DESCRIPTION="sakura is a terminal emulator based on GTK and VTE"
+HOMEPAGE="http://www.pleyades.net/david/projects/sakura/"
+SRC_URI="https://launchpad.net/${PN}/trunk/${PV}/+download/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86 ~x86-linux"
+
+RDEPEND="
+ >=dev-libs/glib-2.20:2
+ x11-libs/gtk+:3[X]
+ x11-libs/libX11
+ x11-libs/vte:2.91
+"
+DEPEND="
+ ${RDEPEND}
+ >=dev-lang/perl-5.10.1
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.1.3-flags.patch
+)
+
+DOCS=(
+ AUTHORS
+)
+
+src_prepare() {
+ sed -i "/FILES INSTALL/d" CMakeLists.txt || die
+
+ strip-linguas -i po/
+ local lingua
+ for lingua in po/*.po; do
+ lingua="${lingua/po\/}"
+ lingua="${lingua/.po}"
+ if ! has ${lingua} ${LINGUAS}; then
+ rm po/${lingua}.po || die
+ fi
+ done
+
+ cmake-utils_src_prepare
+ # sakura.c:1740:3: warning: implicit declaration of function ‘readlink’
+ # [-Wimplicit-function-declaration]
+ append-cppflags -D_DEFAULT_SOURCE
+
+ # sakura.c:1348:9: error: ‘for’ loop initial declarations are only allowed
+ # in C99 or C11 mode
+ append-cflags -std=c99
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
diff --git a/x11-terms/sakura/sakura-3.6.0-r1.ebuild b/x11-terms/sakura/sakura-3.6.0-r1.ebuild
new file mode 100644
index 000000000000..9f68fad99741
--- /dev/null
+++ b/x11-terms/sakura/sakura-3.6.0-r1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit cmake-utils eutils flag-o-matic gnome2-utils xdg-utils
+
+DESCRIPTION="sakura is a terminal emulator based on GTK and VTE"
+HOMEPAGE="http://www.pleyades.net/david/projects/sakura/"
+SRC_URI="https://launchpad.net/${PN}/trunk/${PV}/+download/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-linux"
+
+RDEPEND="
+ >=dev-libs/glib-2.20:2
+ x11-libs/gtk+:3[X]
+ x11-libs/libX11
+ >x11-libs/vte-0.50:2.91
+"
+DEPEND="
+ ${RDEPEND}
+ >=dev-lang/perl-5.10.1
+ virtual/pkgconfig
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.1.3-flags.patch
+ "${FILESDIR}"/${PN}-3.6.0-tab-crash.patch
+)
+
+DOCS=(
+ AUTHORS
+)
+
+src_prepare() {
+ sed -i "/FILES INSTALL/d" CMakeLists.txt || die
+
+ strip-linguas -i po/
+ local lingua
+ for lingua in po/*.po; do
+ lingua="${lingua/po\/}"
+ lingua="${lingua/.po}"
+ if ! has ${lingua} ${LINGUAS}; then
+ rm po/${lingua}.po || die
+ fi
+ done
+
+ cmake-utils_src_prepare
+ # sakura.c:1740:3: warning: implicit declaration of function ‘readlink’
+ # [-Wimplicit-function-declaration]
+ append-cppflags -D_DEFAULT_SOURCE
+
+ # sakura.c:1348:9: error: ‘for’ loop initial declarations are only allowed
+ # in C99 or C11 mode
+ append-cflags -std=c99
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
diff --git a/x11-terms/sakura/sakura-3.7.0.ebuild b/x11-terms/sakura/sakura-3.7.0.ebuild
new file mode 100644
index 000000000000..80e1ce96127e
--- /dev/null
+++ b/x11-terms/sakura/sakura-3.7.0.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit cmake-utils eutils flag-o-matic xdg-utils
+
+DESCRIPTION="sakura is a terminal emulator based on GTK and VTE"
+HOMEPAGE="http://www.pleyades.net/david/projects/sakura/"
+SRC_URI="https://launchpad.net/${PN}/trunk/${PV}/+download/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-linux"
+
+RDEPEND="
+ >=dev-libs/glib-2.20:2
+ >=x11-libs/gtk+-3.20:3[X]
+ x11-libs/libX11
+ >=x11-libs/vte-0.50:2.91
+"
+DEPEND="
+ ${RDEPEND}
+ >=dev-lang/perl-5.10.1
+ virtual/pkgconfig
+"
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.7.0-gentoo.patch
+)
+DOCS=(
+ AUTHORS
+)
+
+src_prepare() {
+ strip-linguas -i po/
+ local lingua
+ for lingua in po/*.po; do
+ lingua="${lingua/po\/}"
+ lingua="${lingua/.po}"
+ if ! has ${lingua} ${LINGUAS}; then
+ rm po/${lingua}.po || die
+ fi
+ done
+
+ cmake-utils_src_prepare
+ # sakura.c:1740:3: warning: implicit declaration of function ‘readlink’
+ # [-Wimplicit-function-declaration]
+ append-cppflags -D_DEFAULT_SOURCE
+
+ # sakura.c:1348:9: error: ‘for’ loop initial declarations are only allowed
+ # in C99 or C11 mode
+ append-cflags -std=c99
+}
+
+pkg_postinst() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_icon_cache_update
+}